import { EventEmitter } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { ServiceConfig } from '../model/service-config';
import { SharepointService } from '@cleavelandprice/ngx-lib/sharepoint';
import { AuthenticatedUser } from '../model/authenticated-user';
import * as i0 from "@angular/core";
export declare class AuthenticationService {
    private config;
    private http;
    private sharePointService;
    authenticatedChanged: EventEmitter<boolean>;
    authenticatingChanged: EventEmitter<boolean>;
    authenticationError: EventEmitter<any>;
    authenticating: boolean;
    authenticated: boolean;
    authenticatedUser: AuthenticatedUser | null;
    constructor(config: ServiceConfig, http: HttpClient, sharePointService: SharepointService);
    login(username: string, password: string, adminGroup?: string): void;
    logout(): void;
    private validateUser;
    private getPhoto;
    private checkForExistingToken;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthenticationService, [{ optional: true; }, null, null]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthenticationService>;
}
