import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ListItem } from '../model/list-item';
import { ListItemsRequest } from '../model/list-items-request';
import { PhotoItem } from '../model/photo-item';
import { ServiceConfig } from '../model/service-config';
import { UserRequest } from '../model/user-request';
import { User } from '../model/user';
import * as i0 from "@angular/core";
export declare class SharepointService {
    private config;
    private http;
    private cache;
    private defaultCacheLifeMinutes;
    private cacheExpired;
    constructor(config: ServiceConfig, http: HttpClient);
    private configureCaching;
    private configureLogging;
    getListItems(request: ListItemsRequest): Observable<ListItem[]>;
    getPhotos(): Observable<PhotoItem[]>;
    getUsers(request: UserRequest, id?: number): Observable<User | User[]>;
    clearCache(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SharepointService, [{ optional: true; }, null]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SharepointService>;
}
